## org.eclipse.emf.ecoretools.diagram.navigator
Class EcoreNavigatorActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.emf.ecoretools.diagram.navigator.EcoreNavigatorActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class EcoreNavigatorActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Constructor Summary
`EcoreNavigatorActionProvider()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`void` `init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`getActionSite, restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreNavigatorActionProvider

    public EcoreNavigatorActionProvider()

Method Detail

### init

    public void init(org.eclipse.ui.navigator.ICommonActionExtensionSite aSite)

  Overrides:
    `init` in class `org.eclipse.ui.navigator.CommonActionProvider`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

Copyright 2007 Anyware Technologies. All Rights Reserved.